package com.backendsys.modules.crt.service;


import com.backendsys.modules.crt.entity.CrtDramaProject;
import com.backendsys.modules.crt.entity.CrtDramaProjectSettings;
import com.backendsys.modules.crt.entity.CrtDramaProjectStoryboard;
import com.backendsys.modules.crt.entity.StoryboardResponse;

import java.util.Map;

public interface CrtDramaProjectStoryboardService {

    // 获取分集信息/分镜列表
    StoryboardResponse selectCrtDramaProjectStoryboardDetail(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 创建分集/分镜
    Map<String, Object> createStoryboard(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 编辑分镜
    Map<String, Object> updateStoryboard(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 清空全部分镜 (仅保留一个空分镜)
    Map<String, Object> clearStoryboard(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 删除分集
    Map<String, Object> deleteStoryboard(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 删除单个分镜
    Map<String, Object> deleteStoryboardBySort(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

}
